Package org.springframework.cloud.task.repository.support

# Class TaskExecutionDaoFactoryBean

java.lang.Object
org.springframework.cloud.task.repository.support.TaskExecutionDaoFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<TaskExecutionDao>`

public class TaskExecutionDaoFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<TaskExecutionDao>
A `FactoryBean` implementation that creates the appropriate `TaskExecutionDao` based on the provided information.

Author:
  Michael Minella, Glenn Renfro

- ## Field Summary

  ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

  `OBJECT_TYPE_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskExecutionDaoFactoryBean()`
  Default constructor will result in a Map based TaskExecutionDao.
  `TaskExecutionDaoFactoryBean(DataSource dataSource)`
  `DataSource` to be used.
  `TaskExecutionDaoFactoryBean(DataSource dataSource, String tablePrefix)`
  `DataSource` to be used.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskExecutionDao`
  `getObject()`
  `Class<?>`
  `getObjectType()`
  `boolean`
  `isSingleton()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaskExecutionDaoFactoryBean

    public TaskExecutionDaoFactoryBean()
    Default constructor will result in a Map based TaskExecutionDao. This is only intended for testing purposes.

  - ### TaskExecutionDaoFactoryBean

    public TaskExecutionDaoFactoryBean(DataSource dataSource, String tablePrefix)
    `DataSource` to be used.
    Parameters:
      `dataSource` - `DataSource` to be used.
      `tablePrefix` - the table prefix to use for this dao.

  - ### TaskExecutionDaoFactoryBean

    public TaskExecutionDaoFactoryBean(DataSource dataSource)
    `DataSource` to be used.
    Parameters:
      `dataSource` - `DataSource` to be used.

- ## Method Details

  - ### getObject

    public TaskExecutionDao getObject() throws Exception
    Specified by:
      `getObject` in interface `org.springframework.beans.factory.FactoryBean<TaskExecutionDao>`
    Throws:
      `Exception`

  - ### getObjectType

    public Class<?> getObjectType()
    Specified by:
      `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<TaskExecutionDao>`

  - ### isSingleton

    public boolean isSingleton()
    Specified by:
      `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<TaskExecutionDao>`